# QFutureWatcher Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QFutureWatcher(QObject _parent)

### Constructor Properties

- prototype: The QFutureWatcher prototype object

### Prototype Object Properties

- void setFuture(QFuture future)

### Instance Properties

QFutureWatcher objects have no special properties beyond those inherited from the QFutureWatcher prototype object.